Eclipse Platform Release 3.7

## org.eclipse.jface.text.contentassist
Class ContentAssistEvent

    java.lang.Object
      org.eclipse.jface.text.contentassist.ContentAssistEvent

    public final class ContentAssistEvent

extends Object

Describes the state that the content assistant is in when completing proposals.

Clients may use this class.

Since:
  3.2
See Also:
  `ICompletionListener`
Restriction:
  This class is not intended to be instantiated by clients.

Field Summary
`IContentAssistant` `assistant` The content assistant computing proposals.
`boolean` `isAutoActivated` Tells, whether content assist was triggered by auto activation.
`IContentAssistProcessor` `processor` The processor for the current partition.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assistant

    public final IContentAssistant assistant

  The content assistant computing proposals.

### processor

    public final IContentAssistProcessor processor

  The processor for the current partition.

### isAutoActivated

    public final boolean isAutoActivated

  Tells, whether content assist was triggered by auto activation.

  Note: This flag is only valid in `ICompletionListener.assistSessionStarted(ContentAssistEvent)`.

  Since:
    3.4

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.